> For the complete documentation index, see [llms.txt](https://docs.simutek.se/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.simutek.se/it/upgrade/uppgradera-gks3-bgc.md).

# Uppgradera GKS3 BGC

{% hint style="success" %}
GKS3 BGC hittar du på servern i mappen:

`c:\gks3\bgc`

GKS3-mappen kan ligga på en annan enhet eller undermapp om ni valt att frångå standard.&#x20;
{% endhint %}

{% hint style="success" %}
Inga användare får köra i GKS3 BGC. Se till att de har avslutat programmet.

Det går fortsatt bra för användare att köra i övriga GKS3 moduler.
{% endhint %}

{% hint style="danger" %}
Ta en backup på *BGC*-mappen före uppgradering. Skulle något gå fel under uppgradering går det då att återgå till den ursprungliga versionen genom att lägga tillbaka mappen.
{% endhint %}

### Uppgraderingssteg

1. Ladda ner uppgraderingspaketet från den länk du fått.
2. Packa upp zip-filen på servern i en temporär mapp.
3. Kopiera innehållet i mappen till `c:\gks3\bgc` på servern. Tillåt att filer ersätts.

{% hint style="info" %}
Om du får ett felmeddelande att en fil inte lyckades skriva över kan det bero på att det fortfarande finns användare som kör i systemet eller att det av annan anledning finns lås på vissa filer.

Enklast är då att starta om servern och därefter fortsätta från detta steg så kommer alla fillås att vara släppta.
{% endhint %}

### Till version 1.8.2

> Vid uppgradering till version 1.8.2 eller senare, behöver följande extra uppgraderingssteg utföras.

Lägg in en ny inställning i filen `Simutek.GKS.UI.exe.config`:

```xml
<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <!-- extracted -->
  <applicationSettings>
    <Simutek.BGC.UI.Properties.Settings>
     <!-- extracted -->    
     <!-- previous setting: communicationHttps -->

     <!-- new setting goes in here: -->
      <setting name="specificationAsComment" serializeAs="String">
        <value>False</value>
      </setting>

    </Simutek.BGC.UI.Properties.Settings>
  </applicationSettings>
  <!-- extracted -->
</configuration>
```

Ändra inställning till `True` om ni önskar aktivera den nya funktionen som lägger tryckspecifikationen för e-fakturor i ett separat kommentarsfält istället för över flera fakturarader.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.simutek.se/it/upgrade/uppgradera-gks3-bgc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
